[YUN] Firmware 1.6.2 und Package "kmod-ath9k-htc"

Hallo miteinander. Ich abeite mit einem Arduino-Yun. Bei dem habe ich die Firmware auf 1.6.2 geupdatet und leider erst nachher festgestellt, dass für diese Version das Package "kmod-ath9k-htc" nicht verfügbar ist. Daher habe ich versucht, die Firmware zusammen mit dem entsprechenden Package von hier selbst zu kompilieren. Das hat im Grunde auch funktioniert aber ich bin mir beim output nicht sicher ob das so stimmt. Ich habe jetzt im ./bin folgende Dateien:

@debian:~/DOWNLOAD/openwrt-yun-1505/bin/ar71xx$ ls
md5sums
openwrt-ar71xx-generic-nbg460n_550n_550nh-u-boot.bin
openwrt-ar71xx-generic-root.squashfs
openwrt-ar71xx-generic-root.squashfs-64k
openwrt-ar71xx-generic-uImage-gzip.bin
openwrt-ar71xx-generic-uImage-lzma.bin
openwrt-ar71xx-generic-vmlinux.bin
openwrt-ar71xx-generic-vmlinux.elf
openwrt-ar71xx-generic-vmlinux.gz
openwrt-ar71xx-generic-vmlinux.lzma
openwrt-ar71xx-generic-vmlinux-lzma.elf
OpenWrt-ImageBuilder-ar71xx-generic.Linux-i686.tar.bz2
packages
sha256sums
uboot-ar71xx-nbg460n_550n_550nh

jetzt bin ich mir nicht sicher ob bzw. wie ich das verwenden kann. in der .config hab ich soweit nichts geändert. target ist "ar71xx" profile "Arduino Yun".

Als letzte Alternative würde ich vielleicht wieder ein downgrade zur alten firmware machen. Diese konnte ich aber nicht mehr finden. Gibts da noch ne Möglichkeit da ran zu kommen?